using Inspectron.Camera.Emulation;
using Ninject;

namespace Inspectron.Camera
{
    public static class CameraExtensions
    {
        public static IKernel UseEmulationCamera(this IKernel self,string[] folders)
        {
            self.Rebind<ICameraProvider>().ToConstant(new EmulationCameraProvider(folders)).InSingletonScope();
            return self;
        }
    }
}